/*
 File: dp_1.cpp
 Date and Time: Sat Jan 31 11:58:31 2015 
*/
#include "dp_1.h"
using namespace NS_yacco2_T_enum;// enumerate
using namespace NS_yacco2_err_symbols;// error symbols
using namespace NS_yacco2_k_symbols;// lrk 
using namespace NS_yacco2_terminals;// terminals
using namespace NS_yacco2_characters;// rc 
using namespace yacco2;// yacco2 library
using namespace NS_dp_1;// grammar's ns
// first set terminals
fsm_rules_reuse_table_type::fsm_rules_reuse_table_type(){
 no_rules_entries_ = 4;
 per_rule_s_table_[0] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[1] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[2] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[3] =  new Per_rule_s_reuse_table();
}
  Cdp_1::
  Cdp_1()
    :yacco2::CAbs_fsm
      ("dp_1.lex"
      ,"1.0"
      ,"7 mar 2014"
      ,false
      ,"LALR(1) Deremer and Pennello grammar from page 632."
      ,"Sat Jan 31 11:58:31 2015 "
      ,S1_Cdp_1){
    
  }
 
Cdp_1::~Cdp_1(){

  for(int x = 0;x < 4;++x){
   ///delete fsm_rules_reuse_table.per_rule_s_table_[x];
  }
} 

  bool Cdp_1::failed(){
      return false;
  }
  void Cdp_1::op(){
}
int Cdp_1::rhs_to_rules_mapping_[8] = {
 -1
 ,0 // subrule 1 for rule 1
 ,1 // subrule 2 for rule 2
 ,1 // subrule 3 for rule 2
 ,1 // subrule 4 for rule 2
 ,1 // subrule 5 for rule 2
 ,2 // subrule 6 for rule 3
 ,3 // subrule 7 for rule 4
}; 
Rs::Rs(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Rs",0,Cdp_1::R_Rs_,P,false,false){
}

Rs1::Rs1(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Rs1",0,Cdp_1::R_Rs1_,P,false,false){
}

Ra::Ra(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Ra",0,Cdp_1::R_Ra_,P,false,false){
}

Rb::Rb(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Rb",0,Cdp_1::R_Rb_,P,false,false){
}

